Bug 46743 - slapd failed if line in schema.conf to long
slapd failed if line in schema.conf to long
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Listener (univention-directory-listener)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Jürn Brodersen
Felix Botner
:
Depends on: 41648
Blocks: 46747
  Show dependency treegraph
 
Reported: 2018-03-26 14:45 CEST by Jürn Brodersen
Modified: 2018-04-04 16:17 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 7: Crash: Bug causes crash or data loss
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.400
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018032621000561
Bug group (optional):
Max CVSS v3 score:


Attachments
fixed schema.conf. The long entry starts (now truncated) at line 1188 (289.39 KB, text/plain)
2018-03-26 15:52 CEST, Timo Denissen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jürn Brodersen univentionstaff 2018-03-26 14:45:39 CEST
+++ This bug was initially created as a clone of Bug #41648 +++

If lines in schema.conf are too long (>2048 chars) slapd does not start.
Comment 3 Jürn Brodersen univentionstaff 2018-03-26 19:12:38 CEST
[4.3-0 a91dc1ee1e] Bug #46743: Break long lines in schema.conf
[4.3-0 d97ee93f9e] Bug #46743: test schema replication with more than 2000 characters
[4.3-0 c57ff2ab73] Bug #46743: YAML
[4.3-0 4b3b0b8a5f] Bug #46743: fix YAML

[4.2-3 348273b3fc] Bug #46743: Break long lines in schema.conf
[4.2-3 c15dec5612] Bug #46743: test schema replication with more than 2000 characters
[4.2-3 b3ceda81b6] Bug #46743: YAML
Comment 4 Jürn Brodersen univentionstaff 2018-03-27 11:56:07 CEST
bug 46747 for 4,3
Comment 5 Felix Botner univentionstaff 2018-03-28 12:08:00 CEST
OK - schema replication
OK - schema replication with loooong lines (> 2000)

OK - yaml
Comment 6 Philipp Hahn univentionstaff 2018-04-04 16:17:39 CEST
<http://errata.software-univention.de/ucs/4.2/316.html>